JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.LARGE_INTEGER.UNION

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.WinNT.LARGE_INTEGER.UNION

Enclosing class:
  WinNT.LARGE_INTEGER

    public static class WinNT.LARGE_INTEGER.UNION

extends Union

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WinNT.LARGE_INTEGER.LowHigh` | `lh`
`long` | `value`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.LARGE_INTEGER.UNION()`

Method Summary

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getPointer, getStructAlignment, hashCode, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### lh

    public WinNT.LARGE_INTEGER.LowHigh lh

### value

    public long value

Constructor Detail

### WinNT.LARGE_INTEGER.UNION

    public WinNT.LARGE_INTEGER.UNION()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.